on reportGraphics
  set frameList to []
  sort(frameList)
  repeat with counter = 1 to 300
    if the castType of cast counter = #bitmap then
      append(frameList, the fileName of cast counter)
    end if
  end repeat
  set thefile to FileIO(mnew, "write", the pathName & "Graphic File Report")
  if objectp(thefile) then
    set nextLine to "Graphic File Report for" && QUOTE & the movieName & QUOTE & RETURN & "==================================================================" & RETURN & RETURN
    thefile(mWriteString, nextLine)
    repeat with counter = 1 to count(frameList)
      set fileName to getAt(frameList, counter)
      set nextLine to "File:" && string(fileName)
      put RETURN after nextLine
      thefile(mWriteString, nextLine)
    end repeat
    thefile(mdispose)
  else
    alert("Error generating report!")
  end if
end
